{% extends 'layout.html' %}

{% block content %}
    
    <form class="flex flex-col w-80 mx-auto gap-8" action="/admin/users/{{ user['id'] }}/edit" method="POST">
        <label class="text-yellow" for="user-name">
            <p>User Name</p>
            <input class="text-grey-dark w-full px-2 py-1 rounded-lg focus:outline-none" type="text" name="user-name" id="user-name" value="{{ user['name'] }}">
        </label>
        <label class="text-yellow" for="user-email">
            <p>User Email</p>
            <input class="text-grey-dark w-full px-2 py-1 rounded-lg focus:outline-none" type="email" name="user-email" id="user-email"value="{{ user['email'] }}">
        </label>
        <label class="text-yellow" for="user-active">
            <p>Is user active?</p>
            <select class="text-grey-dark w-full px-1 rounded-lg focus:outline-none" name="user-active" id="user-active">
                {% if user['is_active'] == True %}
                    <option value="True" selected>Active</option>
                    <option value="False">Not Active</option>
                {% else %}
                    <option value="True">Active</option>
                    <option value="False" selected>Not Active</option>
                {% endif %}
            </select>
        </label>
        <label class="text-yellow" for="user-prohibited">
            <p>Is user allowed prohibited?</p>
            <input class="w-max mx-auto" type="checkbox" name="user-prohibited" id="user-prohibited" {% if user["allowed_prohibited"] %} checked {% endif %}>
        </label>
        <label class="text-yellow" for="user-moneybird">
            <p>User Moneybird ID</p>
            <input class="text-grey-dark w-full px-2 py-1 rounded-lg focus:outline-none" type="number" name="user-moneybird" id="user-moneybird" value="{{ user['moneybird_id'] }}">
        </label>
        <div class="flex flex-col">
            <h3 class="text-yellow">User Roles</h3>
            <div class="grid grid-cols-2" id="user-roles">
                {% for role in roles %}
                    <label for="board">{{ role }}</label>
                    {% if user['roles'] %}
                        {% if role in user['roles'] %}
                            <input class="w-max mx-auto" type="checkbox" name="{{ role }}" id="{{ role }}" checked>
                        {% else %}
                            <input class="w-max mx-auto" type="checkbox" name="{{ role }}" id="{{ role }}">
                        {% endif %}
                    {% else %}
                        <input class="w-max mx-auto" type="checkbox" name="{{ role }}" id="{{ role }}">
                    {% endif %}
                {% endfor %}
            </div>
        </div>

        <button class="text-grey-dark px-6 py-2 bg-yellow rounded-lg focus:outline-none" type="submit">Save user</button>
        <a href="/admin/users" class="button text-yellow text-center px-6 py-2 bg-grey-dark rounded-lg focus:outline-none">Cancel</a>
    </form>

{% endblock content %}